## ros-jazzy-rcpputils 2.11.0

=== debian/changelog ===
ros-jazzy-rcpputils (2.11.0-3bookworm) bookworm; urgency=high

  * Generate version header with ament_generate_version_header function (#190 <https://github.com/ros2/rcpputils/issues/190>)
  * Update docs for rcpputils::split functions (#188 <https://github.com/ros2/rcpputils/issues/188>)
  * Contributors: Christophe Bedard, Sai Kishor Kothakota

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rcpputils (2.10.0-3bookworm) bookworm; urgency=high

  * Included tl_expected (#185 <https://github.com/ros2/rcpputils/issues/185>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rcpputils (2.9.0-3bookworm) bookworm; urgency=high

  * Switch to using target_link_libraries. (#183 <https://github.com/ros2/rcpputils/issues/183>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.8.1-3bookworm) bookworm; urgency=high

  * Add a missing header due to missing PATH_MAX variable (#181 <https://github.com/ros2/rcpputils/issues/181>)
  * Contributors: wojciechmadry

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.8.0-3bookworm) bookworm; urgency=high

  * Add unique_lock implementation with clang thread safety annotations (#180 <https://github.com/ros2/rcpputils/issues/180>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.7.1-3bookworm) bookworm; urgency=high

  * Add in a missing cstdint. (#178 <https://github.com/ros2/rcpputils/issues/178>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.7.0-3bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.6.1-3bookworm) bookworm; urgency=high

  * Add missing header for strlen (#169 <https://github.com/ros2/rcpputils/issues/169>)
  * issue-167 (#172 <https://github.com/ros2/rcpputils/issues/172>)
  * [rolling] Update maintainers - 2022-11-07 (#166 <https://github.com/ros2/rcpputils/issues/166>)
  * Contributors: Audrow Nash, Sebastian Freitag, bijoua29

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rcpputils (2.6.0-3bookworm) bookworm; urgency=high

  * require C++17 and deprecate the rcppmath namespace (#165 <https://github.com/ros2/rcpputils/issues/165>)
  * Contributors: William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.5.2-3bookworm) bookworm; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.5.1-3bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.5.0-3bookworm) bookworm; urgency=high

  * Fix possible race condition in create_directories() (#162 <https://github.com/ros2/rcpputils/issues/162>)
  * Contributors: Artem Shumov

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.4.0-3bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#160 <https://github.com/ros2/rcpputils/issues/160>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.3.2-3bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-rcpputils (2.3.1-3bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-jazzy-rcpputils (2.3.0-3bookworm) bookworm; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)

